Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1460574 - [Tracker] Tendrl-ansible
Summary: [Tracker] Tendrl-ansible
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ansible
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On: 1502970 1511560 1521154
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-12 05:23 UTC by Martin Kudlej
Modified: 2018-03-12 11:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 11:34:20 UTC


Attachments (Terms of Use)

Description Martin Kudlej 2017-06-12 05:23:12 UTC
Description of problem:
Transform tendrl-ansible from upstream to downstream package. What should be done:
1) documentation
2) add DS instalation like install from ISO, downstream playbooks
3) create package
4) create BZ component

Comment 1 Jeff Applewhite 2017-06-12 13:04:11 UTC
My thought for the ansible process from ISO is that there could be a playbook that assumes it is running *on the console node and is doing an all in one installation on that local node.

Process could be:
Install ansible 
mount the rhs-c3.iso file to /mnt/iso
cd to /mnt/iso
create the file /etc/ansible/hosts with the content:
localhost ansible_connection=local
run ansible-playbook rhs-c.yml

then ansible would setup the local node completely. For power users they can hack ansible as needed.

Comment 2 Petr Penicka 2017-06-20 11:47:19 UTC
Setting assignee back to Nishanth, Mrugesh was set as an auto-assignee when changing the component.

Comment 3 Martin Bukatovic 2017-11-14 16:51:33 UTC
Could you update this BZ? What is there left to be done in downstream?

Comment 9 Martin Bukatovic 2018-03-12 11:34:20 UTC
This should have been closed some time ago, at leas during *work on RHGS WA for RHGS 3.3.z" phase. Closing.


Note You need to log in before you can comment on or make changes to this bug.